This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 714743 - Timeout error msg when jboss service stopped - service is not stopped.
Timeout error msg when jboss service stopped - service is not stopped.
Status: NEW
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: jbossas (Show other bugs)
5.1.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fernando Nasser
: TestBlocker
Depends On:
Blocks: 728234
  Show dependency treegraph
 
Reported: 2011-06-20 11:09 EDT by Evgeniy German
Modified: 2016-04-18 03:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server log (1.48 MB, application/octet-stream)
2011-06-20 11:09 EDT, Evgeniy German
no flags Details

  None (edit)
Description Evgeniy German 2011-06-20 11:09:33 EDT
Created attachment 505635 [details]
server log

Description of problem:
I got error msg when I am trying to stop jbossas service

Version-Release number of selected component (if applicable):
jbossas-5.1.1-17.ep5.el6.noarch

How reproducible:

command line: /etc/init.d/jbossas stop
  
Actual results:
Timeout: Shutdown command was sent, but process is still running with PID 1656
 [FAILED]

Additional info:

*This issue block our automation tests
Comment 1 Omri Hochman 2011-07-31 08:56:46 EDT
It usually happens when restarting jbossas service while rhevm is busy, 
the problematic part is not that jbossas service is failed to stop but that
successfully start another instance that running simultaneously. 

[root@omri-rhevm-17 /]# rpm -qa | grep jbossas
jbossas-messaging-5.1.1-17.ep5.el6.noarch
jbossas-client-5.1.1-17.ep5.el6.noarch
jbossas-5.1.1-17.ep5.el6.noarch
jbossas-ws-cxf-5.1.1-6.ep5.el6.noarch

[root@omri-rhevm-17 /]# ps -ax | grep jbossas
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.8/FAQ
 6752 ?        Sl     4:47 /usr/lib/jvm/java/bin/java -Dprogram.name=run.sh
-server -Xms1303m -Xmx1303m -XX:MaxPermSize=256m
-Dorg.jboss.resolver.warning=true -Dsun.rmi.dgc.client.gcInterval=3600000
-Dsun.rmi.dgc.server.gcInterval=3600000
-Dsun.lang.ClassLoader.allowArraySyntax=true
-Djboss.partition.udpGroup=228.1.2.3 -Djboss.webpartition.mcast_port=45577
-Djboss.hapartition.mcast_port=45566
-Djboss.ejb3entitypartition.mcast_port=43333
-Djboss.ejb3sfsbpartition.mcast_port=45551 -Djava.awt.headless=true
-Djava.net.preferIPv4Stack=true
-Djava.endorsed.dirs=/var/lib/jbossas/lib/endorsed -classpath
/var/lib/jbossas/bin/run.jar:/usr/lib/jvm/java/lib/tools.jar org.jboss.Main -c
rhevm-slimmed -b 0.0.0.0
 8200 ?        S      0:00 /bin/sh /var/lib/jbossas/bin/run.sh -c rhevm-slimmed
-b 0.0.0.0
 8245 ?        Sl     0:28 /usr/lib/jvm/java/bin/java -Dprogram.name=run.sh
-server -Xms1303m -Xmx1303m -XX:MaxPermSize=256m
-Dorg.jboss.resolver.warning=true -Dsun.rmi.dgc.client.gcInterval=3600000
-Dsun.rmi.dgc.server.gcInterval=3600000
-Dsun.lang.ClassLoader.allowArraySyntax=true
-Djboss.partition.udpGroup=228.1.2.3 -Djboss.webpartition.mcast_port=45577
-Djboss.hapartition.mcast_port=45566
-Djboss.ejb3entitypartition.mcast_port=43333
-Djboss.ejb3sfsbpartition.mcast_port=45551 -Djava.awt.headless=true
-Djava.net.preferIPv4Stack=true
-Djava.endorsed.dirs=/var/lib/jbossas/lib/endorsed -classpath
/var/lib/jbossas/bin/run.jar:/usr/lib/jvm/java/lib/tools.jar org.jboss.Main -c
rhevm-slimmed -b 0.0.0.0
 8285 pts/1    S+     0:00 grep jbossas

Note You need to log in before you can comment on or make changes to this bug.